`configure' configures TiMidity++ 2.14.0 to adapt to many kinds of systems.

Usage: ./configure [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print `checking ...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for `--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or `..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [/usr/local]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, `make install' will install all the files in
`/usr/local/bin', `/usr/local/lib' etc.  You can specify
an installation prefix other than `/usr/local' using `--prefix',
for instance `--prefix=$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/TiMidity++]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]

Program names:
  --program-prefix=PREFIX            prepend PREFIX to installed program names
  --program-suffix=SUFFIX            append SUFFIX to installed program names
  --program-transform-name=PROGRAM   run sed PROGRAM on installed program names

X features:
  --x-includes=DIR    X include files are in DIR
  --x-libraries=DIR   X library files are in DIR

System types:
  --build=BUILD     configure for building on BUILD [guessed]
  --host=HOST       cross-compile to build programs to run on HOST [BUILD]
  --target=TARGET   configure for building compilers for TARGET [HOST]

Optional Features:
  --disable-option-checking  ignore unrecognized --enable/--with options
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --enable-maintainer-mode  enable make rules and dependencies not useful
			  (and sometimes confusing) to the casual installer
  --enable-debug          Build a debugging version.
  --disable-dependency-tracking  speeds up one-time build
  --enable-dependency-tracking   do not reject slow dependency extractors
  --enable-xft            Enable use of Xft in X trace mode
  --enable-audio=mode_list Enable audio (Specify comma separated mode list):
                              default:   Automatically select audio device.
                              oss:       OSS /dev/dsp
                              sun:       SunOS /dev/audio
                              hpux:      HPUX /dev/audio
                              irix:      IRIX audio library
                              mme:       OSF/1 MME
                              sb_dsp:    BSD/OS 2.0 /dev/sb_dsp
                              w32:       Windows MMS
                              darwin:    Darwin CoreAudio
                              alsa:      ALSA pcm device
                              alib:      HPUX network audio (Alib)
                              nas:       NAS - Network Audio System
                              arts:      aRts
                              esd:       EsounD - Enlightened Sound Daemon
                              portaudio: PortAudio
                              npipe:     Named Pipe(windows)
                              jack:      JACK
                              ao:        Libao
                              vorbis:    Ogg Vorbis
                              flac:      FLAC / OggFLAC
                              opus:      Ogg Opus
                              speex:     Ogg Speex
                              gogo:      MP3 GOGO (Only Windows is supported)
                              lame:      LAME (Only Windows is supported)

  --disable-alsatest      Do not try to compile and run a test Alsa program
  --disable-esdtest       Do not try to compile and run a test ESD program
  --disable-aotest        Do not try to compile and run a test ao program
  --disable-oggtest       Do not try to compile and run a test Ogg program
  --disable-vorbistest    Do not try to compile and run a test Vorbis program
  --disable-libFLACtest   Do not try to compile and run a test libFLAC program
  --disable-libOggFLACtest
                          Do not try to compile and run a test libOggFLAC
                          program
  --disable-opustest      Do not try to compile and run a test Opus program
  --enable-interface=interface_list
                          Comma separated interface list
  --enable-dynamic        Enable dynamic link interface (default is no)
    --enable-dynamic=dynamic_list Comma separated dynamic interface list

  --enable-xdnd           Enable xdnd support (default is no)
  --enable-ncurses        Enable ncurses interface (default is no)
  --enable-slang          Enable slang interface (default is no)
  --enable-motif          Enable motif interface (default is no)
  --enable-tcltk          Enable tcltk interface (default is no)
  --enable-emacs          Enable emacs interface (default is no)
  --enable-vt100          Enable VT100 interface (default is no)
  --enable-xaw            Enable athena interface (default is no)
  --enable-xskin          Enable X skin interface (default is no)
  --enable-gtk            Enable GTK+ interface (default is no)
  --disable-gtktest       do not try to compile and run a test GTK+ program
  --disable-gtktest       Do not try to compile and run a test GTK program
  --enable-server         Enable server interface (default is no)
  --enable-alsaseq        Enable ALSA sequencer server interface (default is
                          no)
  --enable-winsyn         Enable Windows Synthesizer interface (default is no)
  --enable-portmidisyn    Enable PortMIDI Synthesizer interface (default is
                          no)
  --enable-npsyn          Enable Windows Named Pipe Synthesizer interface
                          (default is no)
  --enable-winsyng        Enable Windows GUI Synthesizer interface (default is
                          no)
  --enable-w32gui         Enable Windows GUI interface (default is no)
  --enable-ump            UMP configuration (default is no)
  --enable-windrv         Windows Driver interface(requires winsyn)
  --enable-offix          Enable offix support (default is no)
  --enable-network        Enable network support (default is no)
  --enable-thread         Enable thread support (default is no)
  --enable-largefile      Enable LargeFile Source support (default is no)
  --enable-spectrogram    Enable Sound Spectrogram Viewer (default is no)
  --enable-spline=method  Specify spline method. one of
                          no,linear,cubic,lagrange,newton,gauss,sharp,linerper,sine,square
                          (default is gauss)
  --enable-filter=method  Specify filter method. one of
                          no,lpf12,lpf24,lpfbw,lpf12x2,lpf24x2,lpf6,lpf18,lpftfo,hpfbw,bpfbw
                          (default is no)
  --enable-wrd            Enable WRD interface for X (default is no)
  --enable-datatype=type  Specify audio data type. one of int32,float,double
                          (default is int32)

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-includes=DIR     Specify include directories (colon separated)
  --with-libraries=DIR    Specify library directories (colon separated)
  --with-default-path=DIR Where timidity.cfg is (PREFIX/share/timidity)
  --with-module-dir=DIR   Where to install interfaces (PREFIX/lib/timidity)
  --with-xaw-resource-prefix=DIR
                          What prefix to install X resource files to
                          (optional, used by Xaw/Motif interfaces)
  --with-lispdir          override the default lisp directory
  --with-elf              create ELF shared object instead of AOUT
  --with-x                use the X Window System
  --with-xawlib=lib     Try to link to these xaw widget libraries by the
                           order specified by the comma separated value list:
                             xaw: libXaw
                             xaw3d: Xaw3d
                             neXtaw: neXtaw
                             XawPlus: XawPlus
                             default is --with-xawlib=xaw3d,xaw
  --with-tcl-includes=DIR Tcl include file path
  --with-tcl-libs=DIR     Tcl library file path
  --with-tk-includes=DIR  Tk include file path
  --with-tk-libs=DIR      Tk library file path
  --with-offix-includes=DIR
                          Offix include file path
  --with-offix-libs=DIR   Offix include file path
  --with-nas-library=library
                          NAS absolute library path(Don't use -laudio)
  --with-nas-includes=DIR NAS include files are in dir
  --with-default-output=<mode>
                          Specify default output mode (optional):
                          (default|alsa|alib|arts|nas|
                          esd|wav|au|aiff|list|vorbis|flac|opus|speex|
                          lame|gogo|portaudio|npipe|jack|ao)
  --with-alsa-prefix=PFX  Prefix where Alsa library is installed(optional)
  --with-alsa-inc-prefix=PFX
                          Prefix where include libraries are (optional)
  --with-esd-prefix=PFX   Prefix where ESD is installed (optional)
  --with-esd-exec-prefix=PFX
                          Exec prefix where ESD is installed (optional)
  --with-ao=PFX           Prefix where libao is installed (optional)
  --with-ao-libraries=DIR Directory where libao library is installed
                          (optional)
  --with-ao-includes=DIR  Directory where libao header files are installed
                          (optional)
  --with-ogg=PFX          Prefix where libogg is installed (optional)
  --with-ogg-libraries=DIR
                          Directory where libogg library is installed
                          (optional)
  --with-ogg-includes=DIR Directory where libogg header files are installed
                          (optional)
  --with-vorbis=PFX       Prefix where libvorbis is installed (optional)
  --with-vorbis-libraries=DIR
                          Directory where libvorbis library is installed
                          (optional)
  --with-vorbis-includes=DIR
                          Directory where libvorbis header files are installed
                          (optional)
  --with-libFLAC=PFX      Prefix where libFLAC is installed (optional)
  --with-libFLAC-libraries=DIR
                          Directory where libFLAC library is installed
                          (optional)
  --with-libFLAC-includes=DIR
                          Directory where libFLAC header files are installed
                          (optional)
  --with-libOggFLAC=PFX   Prefix where libOggFLAC is installed (optional)
  --with-libOggFLAC-libraries=DIR
                          Directory where libOggFLAC library is installed
                          (optional)
  --with-libOggFLAC-includes=DIR
                          Directory where libOggFLAC header files are
                          installed (optional)
  --with-opus=PFX         Prefix where libopus is installed (optional)
  --with-opus-libraries=DIR
                          Directory where libopus library is installed
                          (optional)
  --with-opus-includes=DIR
                          Directory where libopus header files are installed
                          (optional)
  --with-gtk-prefix=PFX   Prefix where GTK is installed (optional)
  --with-gtk-exec-prefix=PFX
                          Exec prefix where GTK is installed (optional)

Some influential environment variables:
  EMACS       the Emacs editor command
  EMACSLOADPATH
              the Emacs library search path
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>
  LIBS        libraries to pass to the linker, e.g. -l<library>
  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
              you have headers in a nonstandard directory <include dir>
  CPP         C preprocessor
  XMKMF       Path to xmkmf, Makefile generator for X Window System

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

Report bugs to <timidity-talk@lists.sourceforge.net>.
